/*
   client/map.h
   This file is part of the Osirion project and is distributed under 
   the terms of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_CLIENT_MAP_H__
#define __INCLUDED_CLIENT_MAP_H__

#include "ui/widget.h"

namespace client {

class Map : public ui::Widget
{
public:
	Map(ui::Widget *parent = 0);
	virtual ~Map();

	inline size_t hover() const { return map_hover; }

	/// toggle the map window
	void toggle();

	/// hide the map window
	virtual void hide();

	/// called when the widget receives a key press
	virtual bool on_keypress(const int key, const unsigned int modifier);

protected:
	virtual void draw();

	size_t map_hover;
};


} // namespace client


#endif // __INCLUDED_CLIENT_MAP_H__
