/*
   client/video.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_CLIENT_VIDEO_H__
#define __INCLUDED_CLIENT_VIDEO_H__

namespace client {

/// the video subsystem
namespace video 
{
	/// initialize the video subsystem
	bool init();
	
	/// shutdown the video subsystem
	void shutdown();
	
	/// re-initialize the video subsystems
	/** the restart functions performs a full shutdown
	 *  and re-initializes the video subsystem
	 */
	void restart();

	/// application window resize event in windowed mode
	void resize(int w, int h);

	/// draw the next client video frame
	void frame(float elapsed);

} // namespace video

} // namespace client

#endif // __INCLUDED_CLIENT_VIDEO_H__
