/*
   core/core.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_H__
#define __INCLUDED_CORE_H__

#include <string>

#include "core/application.h"
#include "core/commandbuffer.h"
#include "core/cvar.h"
#include "core/entity.h"
#include "core/func.h"
#include "core/gameinterface.h"
#include "core/module.h"
#include "core/player.h"
#include "core/range.h"
#include "core/stats.h"
#include "core/zone.h"

/// core contains the basic functionality of the engine
namespace core
{

/// name of the engine core
const std::string & name();

/// version of the engine core
const std::string & version();

}

#endif // __INCLUDED_CORE_H__

