/*
   base/station.cc
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#include "base/game.h"
#include "base/station.h"
#include "sys/sys.h"

namespace game {

Station::Station() : Entity()
{
	entity_moduletypeid = station_enttype;
	set_flag(core::Entity::Dockable);
	station_shipdealer = 0;
}

Station::~Station()
{
	if (station_shipdealer)
		delete station_shipdealer;
}

void Station::set_shipdealer(ShipDealer *shipdealer)
{
	if (station_shipdealer)
		delete station_shipdealer;

	station_shipdealer = shipdealer;
}

}

