/*
   ui/bitmap.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_UI_BITMAP_H__
#define __INCLUDED_UI_BITMAP_H__

#include "ui/widget.h"

namespace ui
{

class Bitmap : public Widget
{
public:
	Bitmap(Widget *parent, const char *texture=0);
	~Bitmap();
	
	inline std::string const &texture() const {
		return bitmap_texture;
	}
	
	inline math::Color const &color() const {
		return bitmap_color;
	}
	
	void set_texture(const std::string & texture);
	void set_texture(const char *texture);
	
	void set_color(const math::Color &color);
	
	/// print bitmap description
	virtual void print(const size_t indent) const;
	
protected:
	/// draw the bitmap as background
	virtual void draw_background();
	
private:
	std::string	bitmap_texture;
	math::Color	bitmap_color;
};

}

#endif // __INCLUDED_UI_BITMAP_H__

