/*
   ui/menuview.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_UI_MENUVIEW_H__
#define __INCLUDED_UI_MENUVIEW_H__

#include "core/entity.h"
#include "ui/bitmap.h"
#include "ui/container.h"
#include "ui/button.h"
#include "ui/label.h"
#include "ui/window.h"

namespace ui
{

/// a menu container
class MenuView : public Window
{
public:
	/// create a new menu
	MenuView(Window *parent, const char * label);
	~MenuView();
	
	/// generate a menu from menu descriptions
	void generate(core::Entity *entity, const char *menulabel);

protected:
	/// resize event
	virtual void resize();
	
private:
	Container		*menu_container;
	Label			*menu_label;
};

}

#endif // __INCLUDED_UI_MENUVIEW_H__
